## gst-maemo-xiph 0.4

=== debian/changelog ===
gst-maemo-xiph (0.4) fremantle; urgency=low

  * Synchronize with upstream

 -- Felipe Contreras <felipe.contreras@gmail.com>  Wed, 04 May 2011 04:45:31 +0300

gst-maemo-xiph (0.3) fremantle; urgency=low

  * Initial release.

 -- Felipe Contreras <felipe.contreras@nokia.com>  Wed, 04 May 2011 00:36:00 +0300

## gst-maemo-xiph 0.5

=== Makefile ===
CC := $(CROSS_COMPILE)gcc

CFLAGS := -O2 -ggdb -Wall -Wextra -Wno-unused-parameter -ansi -std=c99
LDFLAGS := -Wl,--no-undefined -Wl,--as-needed

override CFLAGS += -DGST_DISABLE_DEPRECATED

GST_CFLAGS := $(shell pkg-config --cflags gstreamer-0.10 gstreamer-tag-0.10 gstreamer-riff-0.10 gstreamer-base-0.10)
GST_LIBS := $(shell pkg-config --libs gstreamer-0.10 gstreamer-tag-0.10 gstreamer-riff-0.10 gstreamer-base-0.10)

OGG_CFLAGS := $(shell pkg-config --cflags ogg)
OGG_LIBS := $(shell pkg-config --libs ogg)

all:

version := $(shell ./get-version)
prefix := /usr

D = $(DESTDIR)

# plugin

gst_plugin := libgstxiph.so

$(gst_plugin): plugin.o gstoggdemux.o gstoggstream.o vorbis_parse.o dirac_parse.o \
	gstflacparse.o gstbaseparse.o
$(gst_plugin): override CFLAGS += $(GST_CFLAGS) $(OGG_CFLAGS) -fPIC -DHAVE_CONFIG_H
$(gst_plugin): override LIBS += $(GST_LIBS) $(OGG_LIBS)

targets += $(gst_plugin)

all: $(targets)

# pretty print
ifndef V
QUIET_CC    = @echo '   CC         '$@;
QUIET_LINK  = @echo '   LINK       '$@;
QUIET_CLEAN = @echo '   CLEAN      '$@;
endif

install: $(targets)
	install -m 755 -D libgstxiph.so $(D)$(prefix)/lib/gstreamer-0.10/libgstxiph.so

copy:
	cp $(srcdir)/gst-plugins-base/ext/ogg/{gstoggdemux.[ch],dirac_parse.[ch],vorbis_parse.[ch]} .
	cp $(srcdir)/gst-plugins-base/ext/ogg/gstoggstream.[ch] .
	cp $(srcdir)/gst-plugins-bad/gst/audioparsers/{gstflacparse.[ch],gstbaseparse.[ch]} .

%.o:: %.c
	$(QUIET_CC)$(CC) $(CFLAGS) -MMD -o $@ -c $<

%.so::
	$(QUIET_LINK)$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

clean:
	$(QUIET_CLEAN)$(RM) -v $(targets) *.o *.d

-include *.d

=== debian/changelog ===
gst-maemo-xiph (0.5) fremantle; urgency=low

  * Synchronize with upstream, even more

 -- Felipe Contreras <felipe.contreras@gmail.com>  Thu, 19 May 2011 21:32:45 +0300

=== debian/control ===
Source: gst-maemo-xiph
Section: libs
Priority: optional
Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
Build-Depends: debhelper (>= 5), libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libogg-dev
Standards-Version: 3.9.1

Package: gstreamer0.10-maemo-xiph
Architecture: armel
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GStreamer plug-in for Xiph parsers/demuxers

Package: gstreamer0.10-maemo-xiph-dbg
Section: debug
Priority: extra
Architecture: armel
Depends: ${misc:Depends}, gstreamer0.10-maemo-xiph (= ${binary:Version})
Description: Debug symbols for gst-maemo-xiph.

## gst-maemo-xiph 0.5-1

=== debian/changelog ===
gst-maemo-xiph (0.5-1) fremantle; urgency=low

  * Rename plugin to 'xiph' to avoid conflicts

 -- Felipe Contreras <felipe.contreras@gmail.com>  Mon, 23 May 2011 16:48:45 +0300

## gst-maemo-xiph 0.5-2

=== debian/changelog ===
gst-maemo-xiph (0.5-2) fremantle; urgency=low

  * Rename 'oggdemux' to 'oggdemux-xiph'

 -- Felipe Contreras <felipe.contreras@gmail.com>  Mon, 23 May 2011 17:22:05 +0300

=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

build:
	dh_testdir
	echo $(DEB_VERSION) > .version
	$(MAKE) V=1

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) V=1 install DESTDIR=$(CURDIR)/debian/tmp

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_install --sourcedir=debian/tmp -a
	dh_installdocs -a
	dh_link -a
	dh_strip --dbg-package=gstreamer0.10-maemo-xiph-dbg -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:

binary: binary-arch binary-indep

clean:
	dh_testdir
	$(MAKE) V=1 clean
	dh_clean

.PHONY: build install binary-arch binary-indep binary clean

## gst-maemo-xiph 0.5-3

=== debian/changelog ===
gst-maemo-xiph (0.5-3) fremantle; urgency=low

  * Maemo-optify

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 04 Jun 2011 08:46:30 +0300

## gst-maemo-xiph 0.5-4

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 gst_plugin := libgstxiph.so
 
 $(gst_plugin): plugin.o gstoggdemux.o gstoggstream.o vorbis_parse.o dirac_parse.o \
-	gstflacparse.o gstbaseparse.o
+	gstflacparse.o gstbaseparse.o hacks.o
 $(gst_plugin): override CFLAGS += $(GST_CFLAGS) $(OGG_CFLAGS) -fPIC -DHAVE_CONFIG_H
 $(gst_plugin): override LIBS += $(GST_LIBS) $(OGG_LIBS)

=== debian/changelog ===
gst-maemo-xiph (0.5-4) fremantle; urgency=low

  * Handle METADATA_BLOCK_PICTURE in ogg comments.

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 16 Jul 2011 00:59:43 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
-Build-Depends: debhelper (>= 5), libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libogg-dev
+Build-Depends: debhelper (>= 5), libgstreamer0.10-dev,
+  libgstreamer-plugins-base0.10-dev, libogg-dev, maemo-optify
 Standards-Version: 3.9.1
 
 Package: gstreamer0.10-maemo-xiph

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
+	maemo-optify
 	dh_md5sums -a
 	dh_builddeb -a
